Subject: Re: Newbie question / Help with make
From: [email-masked] (Chris Faylor)

18 Jun 1997 12:25:28 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
X-Newsreader: trn 4.0-test57 (27 Apr 97)
Original-To: [email-masked]
X-Mailer: Perl5 Mail::Internet v1.28
Original-Sender: [email-masked]

In article <[email-masked]>, RC  <[email-masked]> wrote:
>Pardon the newbie question.
>
>I've just downloaded gnu-win32 b18 and am trying to run it on a win95
>system.  I've managed to compile a hello.c program, but when I 
>try another program I get the following message:
>
>gcc Makefile.c -o Makefile
>Makefile.c:2: 'gcc' undeclared here (not in a function)
>Makefile.c:2: syntax error before 'PROF'
>gcc: Internal compiler error: program cc1 got fatal signal 33
>MAKE.EXE *** [Makefile] Error 1
>
>What might I have done wrong here?  Any suggestions or pointers in the
>right direction would be greatly appreciated.  Thanks.

It is difficult to say what you might have done wrong since you didn't
post the relevant parts of the Makefile, but, at a guess, it looks like
you are not indenting the lines (i.e., gcc) which are intended to be
commands.  A rule should look something like this:

foo.o:	foo.c
	gcc -c $?
^
Tab here.
-- 
http://www.bbc.com/	[email-masked]			"Strange how unreal
VMS=>UNIX Solutions	Boston Business Computing	 the real can be."
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".